Skip to main content
GET
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
Get Workspace
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/workspaces/{workspaceId} \
  --header 'Authorization: Bearer <token>'
{
  "cicdEnforcedDefault": true,
  "createdAt": "2023-09-08T12:00:00Z",
  "id": "clm8t5u4q000008jq4qoc3036",
  "name": "My Workspace",
  "organizationId": "clm8t5u4q000008jq4qoc3036",
  "updatedAt": "2023-09-08T13:30:00Z",
  "createdBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "description": "This is a test workspace",
  "organizationName": "My Organization",
  "updatedBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  }
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the Workspace belongs.

workspaceId
string
required

The Workspace's ID.

Response

OK

cicdEnforcedDefault
boolean
required

Whether CI/CD deploys are enforced by default.

Example:

true

createdAt
string<date-time>
required

The time when the Workspace was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

Example:

"2023-09-08T12:00:00Z"

id
string
required

The Workspace's ID.

Example:

"clm8t5u4q000008jq4qoc3036"

name
string
required

The Workspace's name.

Example:

"My Workspace"

organizationId
string
required

The ID of the organization to which the workspace belongs.

Example:

"clm8t5u4q000008jq4qoc3036"

updatedAt
string<date-time>
required

The time when the Workspace was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

Example:

"2023-09-08T13:30:00Z"

createdBy
object
description
string

The Workspace's description.

Example:

"This is a test workspace"

organizationName
string

The name of the Organization to which the Workspace belongs.

Example:

"My Organization"

updatedBy
object